/* Revisa la disponibilidad de la clave */
function checkExist(action, inputElement) {
	if (action != "edit") {
	
		var value = inputElement.value;
		
		
		//alert('Match con el regEx?: ' + /^[a-zA-Z]+$/.test(value));
		if (/^[a-zA-Z]+$/.test(value)) {		
			var url = '/checkID.asp';			
			var params = $('formNew').serialize();		
			new Ajax.Request(url, {
				method: 'get',
				parameters: params,
				onSuccess: function(transport) {
					//alert('onSuccess. status: '+transport.status+'. text: '+transport.statusText+'. El mensaje: '+transport.responseText);
					var aux = String(transport.responseText);
					//alert(aux);
					if (aux.toLowerCase() == "false".toLowerCase()) {
						$('clave-error').className = 'msgAlertOk';
						$('clave-error').innerHTML = 'Clave disponible';
						$('clave-error').style.display = '';
					} else {
						$('clave-error').className = 'msgAlertBad';
						$('clave-error').innerHTML = 'Clave NO disponible';
						$('clave-error').style.display = '';
						$('TXT_CLAVE').focus();	
					}
				},
				onFailure:  function(transport) {
					//alert('onFailure. status: '+transport.status+'. text: '+transport.statusText);
					
				}
			});
		}
	}
}

